package _VisualDVM.TestingSystem.DVM.DVMTasks.UI;
import _VisualDVM.Global;
import _VisualDVM.TestingSystem.DVM.DVMTasks.DVMRunTask;
import _VisualDVM.Visual.Windows.ComparisonForm;
import _VisualDVM.Visual.Windows.TasksComparisonForm;
public class DVMRunTasksComparisonForm extends TasksComparisonForm<DVMRunTask> {
    public DVMRunTasksComparisonForm(ComparisonForm<DVMRunTask> slave_in) {
        super(DVMRunTask.class, slave_in);
    }
    @Override
    public Object getDefaultCurrentObject() {
        return Global.testingServer.db.dvmRunTasks.getUI().getCurrent();
    }
    @Override
    protected String getTextByTab() {
        switch (status) {
            case CompilationOutput:
                return object.getCompilationOutput();
            case CompilationErrors:
                return object.getCompilationErrors();
            case RunOutput:
                return object.getOutput();
            case RunErrors:
                return object.getErrors();
            case Sts:
                return object.getStatistic();
            default:
                return "";
        }
    }
}
